Bug 128176 - Opentype features window is longer than screen size and it is difficult to reach ok/cancel buttons
Summary: Opentype features window is longer than screen size and it is difficult to re...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.3.2.2 release
Hardware: All All
: medium enhancement
Assignee: Diwanshu Mittal
URL:
Whiteboard: target:7.2.0
Keywords: difficultyBeginner, easyHack, skillDesign, topicUI
Depends on:
Blocks: Character-Dialog GTK3-Dialog-High
  Show dependency treegraph
 
Reported: 2019-10-16 11:14 UTC by medmedin2014
Modified: 2022-01-13 14:52 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Big window (161.44 KB, image/png)
2019-10-16 11:14 UTC, medmedin2014
Details
fonts (1.38 MB, application/x-xz)
2019-10-17 23:03 UTC, medmedin2014
Details
Opentype window problem (1.62 MB, video/mp4)
2019-10-18 20:52 UTC, medmedin2014
Details
scrollbar not visible (135.71 KB, image/png)
2021-02-11 18:53 UTC, medmedin2014
Details

Note You need to log in before you can comment on or make changes to this bug.
Description medmedin2014 2019-10-16 11:14:35 UTC
Created attachment 155037 [details]
Big window

I have 15.6" screen (which is the most popular screen size for laptops) and when I open opentype features window for some fonts which have big list of features, the window becomes bigger than my screen and it's impossible for me to click on ok or cancel buttons, see attached image for more infos.
I think the opentype features should be placed inside scrollbar pane with fixed height based on screen height or inside listbox with inner checkbox.
Comment 1 medmedin2014 2019-10-16 11:18:36 UTC
Also it's impossible to decrease window height, while I can increase height and increase or decrease width.
Comment 2 Roman Kuznetsov 2019-10-16 14:46:41 UTC
for what font name do you have so many features?
Comment 3 medmedin2014 2019-10-17 23:03:07 UTC
(In reply to Roman Kuznetsov from comment #2)
> for what font name do you have so many features?

You can try with Gentium plus or EB Garamond 12, I attached both fonts for testing.
Comment 4 medmedin2014 2019-10-17 23:03:34 UTC
Created attachment 155099 [details]
fonts
Comment 5 Dieter 2019-10-18 12:50:23 UTC
(In reply to medmedin2014 from comment #1)
> Also it's impossible to decrease window height, while I can increase height
> and increase or decrease width.

I think, you can decrease width and height until text would disappear. So it works as expected.
Comment 6 medmedin2014 2019-10-18 20:42:32 UTC
I use Ubuntu Mate 19.10 - 64bits and both with LO6.3.2.2 and LODev6.4.0.0 I can only increase the width but the height it's impossible to decrease it, what I see is that the window has minimum width and minimum height, and when the minimum height exceeds the height of the screen it's impossible to continue to work with opentype features window and click on ok/cancel buttons.
Comment 7 medmedin2014 2019-10-18 20:52:03 UTC
See my attached video for more infos.
Comment 8 medmedin2014 2019-10-18 20:52:51 UTC
Created attachment 155128 [details]
Opentype window problem
Comment 9 Buovjaga 2020-04-23 16:23:39 UTC
Yep, it is apparent that this problem can occur. Thanks for the screencast.

Let's ask UX team how the dialog should be redesigned to adapt to such scenarios.
Comment 10 Heiko Tietze 2020-04-24 08:13:21 UTC
Two solutions come in mind: a) put checkboxes in three columns and b) place a scrollwindow behin the checkboxes and define a maximum dialog height.

Similar issue for the print dialog in bug 127782 (solved per scrollwindow).
Comment 11 Heiko Tietze 2020-04-30 08:47:35 UTC
We discussed this topic in the design meeting and favor a scrollwindow behind the two columns.

Code pointer: cui/uiconfig/ui/fontfeaturesdialog.ui
Comment 12 Commit Notification 2021-01-15 21:50:45 UTC
diwanshu885 committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/e97bccdba42b464e2df8d5996d4cdc9b03b6c243

tdf#128176 Add a vertical scrollwindow to fontfeaturesdialog

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Buovjaga 2021-02-03 14:57:38 UTC
Is there something that still needs to be done for this? If not, set to resolved fixed
Comment 14 medmedin2014 2021-02-11 18:52:49 UTC
(In reply to Buovjaga from comment #13)
> Is there something that still needs to be done for this? If not, set to
> resolved fixed

On KDE, the scrollbar works by using mouse wheeler but the scrollbar is not visible at all. See attached image for more info.

Version: 7.1.0.3 / LibreOffice Community
Build ID: 10(Build:3)
CPU threads: 2; OS: Linux 5.10; UI render: default; VCL: kf5
Locale: en-US (en_US.UTF-8); UI: en-US
7.1.0-1
Calc: threaded

Operating System: Manjaro Linux
KDE Plasma Version: 5.20.5
KDE Frameworks Version: 5.78.0
Qt Version: 5.15.2
Kernel Version: 5.10.15-1-MANJARO
OS Type: 64-bit
Comment 15 medmedin2014 2021-02-11 18:53:55 UTC
Created attachment 169689 [details]
scrollbar not visible
Comment 16 Buovjaga 2021-02-11 18:55:34 UTC
(In reply to medmedin2014 from comment #14)
> (In reply to Buovjaga from comment #13)
> > Is there something that still needs to be done for this? If not, set to
> > resolved fixed
> 
> On KDE, the scrollbar works by using mouse wheeler but the scrollbar is not
> visible at all. See attached image for more info.
> 
> Version: 7.1.0.3 / LibreOffice Community
> Build ID: 10(Build:3)
> CPU threads: 2; OS: Linux 5.10; UI render: default; VCL: kf5
> Locale: en-US (en_US.UTF-8); UI: en-US
> 7.1.0-1
> Calc: threaded

You tested with the wrong version. Please use 7.2: https://libreoffice.soluzioniopen.com/

My question was directed to Diwanshu and Heiko.
Comment 17 stragu 2021-12-07 13:39:04 UTC
verified as fixed in:

Version: 7.2.4.1 / LibreOffice Community
Build ID: 27d75539669ac387bb498e35313b970b7fe9c4f9
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: gtk3
Locale: en-AU (en_AU.UTF-8); UI: en-US
Calc: threaded

A good font to test this with is Linux Biolinum G.